DO $$
    DECLARE
        _path character varying(256) := 'patch-2026_03_13-ContactsTimestampIndex';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 16299) THEN
            RETURN;
        END IF;

        BEGIN
 		CREATE INDEX "ix_Contacts_Timestamp"
    			ON public."Contacts" USING btree
    			("Timestamp" ASC NULLS LAST)
    			TABLESPACE pg_default; 

		INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;